Vulnerability   
Search   
    Search 191973 CVE descriptions
and 86218 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.892400
Category:Debian Local Security Checks
Title:Debian LTS: Security Advisory for activemq (DLA-2400-1)
Summary:The remote host is missing an update for the 'activemq'; package(s) announced via the DLA-2400-1 advisory.
Description:Summary:
The remote host is missing an update for the 'activemq'
package(s) announced via the DLA-2400-1 advisory.

Vulnerability Insight:
Apache ActiveMQ, a Java message broker, uses
LocateRegistry.createRegistry() to create the JMX RMI registry and binds
the server to the 'jmxrmi' entry. It is possible to connect to the
registry without authentication and call the rebind method to rebind
jmxrmi to something else. If an attacker creates another server to proxy
the original, and bound that, he effectively becomes a man in the middle
and is able to intercept the credentials when an user connects.

Affected Software/OS:
'activemq' package(s) on Debian Linux.

Solution:
For Debian 9 stretch, this problem has been fixed in version
5.14.3-3+deb9u1.

We recommend that you upgrade your activemq packages.

CVSS Score:
4.3

CVSS Vector:
AV:N/AC:M/Au:N/C:P/I:N/A:N

Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2020-13920
CopyrightCopyright (C) 2020 Greenbone Networks GmbH

This is only one of 86218 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.




© 1998-2020 E-Soft Inc. All rights reserved.